Get enrichment statistics
curl --request GET \
--url https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_2922f00271c7dd5b/statistics?page=1&limit=1",
"first": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_2922f00271c7dd5b/statistics?page=1&limit=1",
"next": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_2922f00271c7dd5b/statistics?page=2&limit=1",
"last": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_2922f00271c7dd5b/statistics?page=2&limit=1",
"prev": null
},
"enrichment_statistics": [
{
"token": "wrkflw_mnfst_ddf884f31e7edbba",
"provider": "aws",
"account_identifier": "157844646115",
"status": "success",
"status_detail": null,
"status_message": null,
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"ingested_at": "2026-09-01T12:00:00Z",
"log_scan_acceptance_rate": 0.99,
"log_record_match_rate": 0.98,
"bill_match_rate": 0.97,
"ambiguous_sibling_rows": 0,
"tokens_kept_rate": 0.96
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}EnrichmentStatistics
Get enrichment statistics
Return enrichment statistics.
GET
/
enrichment_sources
/
{enrichment_source_token}
/
statistics
Get enrichment statistics
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
The page of results to return.
The number of results to return. The maximum is 1000.
Required range:
1 <= x <= 1000Filter statistics to costs for a specific provider key.
Available options:
aws, azure, gcp, snowflake, databricks, mongo, datadog, fastly, new_relic, opencost, open_ai, oracle, confluent, planetscale, coralogix, kubernetes, custom_provider, github, linode, grafana, clickhouse, temporal, twilio, azure_csp, kubernetes_agent, anthropic, anyscale, cursor, elastic, vercel, redis_cloud, circle_ci, modal, eleven_labs, baseten, cloudflare, fireworks_ai, cartesia, depot, xai, digital_ocean, together_ai, coreweave, devin, openrouter, deepgram